import common from '../../utils/util';
import server from '../../utils/main';

const app = getApp();

Page({
  data: {
  },
  onLoad: function (options) {
    this.setData({
      Containnerheight: common.getSystemHeight(),
    });
    this.init();
  },
  init:function(){
    var that=this;
    var arrProduct = wx.getStorageSync("ProductPrice");
    for (var i = 0; i < arrProduct.length; i++) {
      if (arrProduct[i].ProductNum == app.globalData.ProgramID) {
        that.setData({
          Price: Math.floor(100 * arrProduct[i].Period[0].Price) / 100,
        });
      }
    }
  },
  gotoOrder: function () {
    wx.redirectTo({
      url: "./order?id=" + app.globalData.ProgramID + "&paytype=3",
    });
  },
  gotoPackList: function () {
    wx.redirectTo({
      url: "./list?IsGift=0",
    });
  },
  gotoGiftList: function () {
    wx.redirectTo({
      url: "./list?IsGift=1",
    });
  },
  closePage:function(){
    wx.navigateBack({
      delta: 1
    });
  },
  onShareAppMessage: function () {
    return {
      title: app.globalData.ShareTitle,
      path: app.globalData.SharePath + '?UserID=' + app.globalData.userInfo.UserID,
      imageUrl: app.globalData.ShareImage,
    }
  },
})